/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package btnmatrix;

import java.awt.Color;
import java.awt.Component;
import java.awt.Container;
import java.awt.Font;
import java.awt.event.ComponentAdapter;
import java.awt.event.ComponentEvent;
import java.awt.event.MouseEvent;
import javax.swing.*;

/**
 *
 * @author tucu
 */
public class MainWindow extends JFrame{
    
    private JButton[][] btn;
    private Container c;
    private Boolean mousePressed = false;
    private int cnt = 0;
    private int n = 9, m = 10;
    
    public MainWindow() {
        setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        setSize(700, 550);
        setLocationRelativeTo(null);
        setLayout(null); // IMPORTANT (free design)
        setVisible(true);
        
        c = getContentPane();
        c.setBackground(Color.PINK);
        btn = new JButton[n][m];
        int L = Math.min((c.getWidth())/ m, (c.getHeight()) / n);
        
        for (int i = 0; i < btn.length; ++i)
            for (int j = 0; j < btn[i].length; ++j) {
                btn[i][j] = new JButton();
                btn[i][j].setBackground(Color.red);
                btn[i][j].setSize(L, L);
                btn[i][j].setFont(new Font("Dialog", Font.BOLD, 20));
                btn[i][j].setLocation(L * j,i * L);
                btn[i][j].addMouseListener(new java.awt.event.MouseAdapter() {
                    public void mouseClicked(java.awt.event.MouseEvent evt) {
                        JButton b = (JButton)evt.getSource();
                        if (evt.getClickCount() == 2) {
                            cnt = 0;
                        } else {
                            cnt++;
                        }
                        b.setText(String.valueOf(cnt));
                        b.repaint();
                    }
                    public void mouseEntered(MouseEvent evt) {
                        JButton b = (JButton)evt.getSource();
                        if (mousePressed) {
                            b.setBackground(Color.GREEN);
                        }
                    }
                    public void mousePressed(MouseEvent evt) {
                        mousePressed = true;
                        JButton b = (JButton)evt.getSource();
                        b.setBackground(Color.GREEN);
                    }
                    public void mouseReleased(MouseEvent evt) {
                        mousePressed = false;
                    }
                });            
                c.add(btn[i][j]);
            }
        this.repaint();
       
        c.addComponentListener(new ComponentAdapter() {
            public void componentResized(ComponentEvent e) {        
                int L = Math.min(c.getWidth()/ m, c.getHeight() / n); 
                for (int i = 0; i < n; ++i)
                    for (int j = 0; j < m; ++j) {
                        btn[i][j].setSize(L, L);
                        btn[i][j].setLocation(j * L, i * L);
                        btn[i][j].repaint();
                    }
            }
        });
    }
}
